Bug 708377 - [PATCH] normalize perl version in build requires
Summary: [PATCH] normalize perl version in build requires
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cpanspec
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-27 13:58 UTC by Marcela Mašláňová
Modified: 2015-01-12 15:06 UTC (History)
3 users (show)

Fixed In Version: cpanspec-1.78-18.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-12 15:06:22 UTC


Attachments (Terms of Use)
correct version of Perl (1.38 KB, patch)
2011-05-27 13:59 UTC, Marcela Mašláňová
no flags Details | Diff

Description Marcela Mašláňová 2011-05-27 13:58:39 UTC
cpanspec generate Perl version in non-rpm format eg. 5.60000, but we need something like 5.6.0. Module version can normalize it. I propose attached patch.

Comment 1 Marcela Mašláňová 2011-05-27 13:59:21 UTC
Created attachment 501308 [details]
correct version of Perl

Comment 2 Marcela Mašláňová 2011-05-27 14:00:47 UTC
Do you have any plans about new release? I'm using cpanspec patches from Iain #671445. It would be helpful to have them in new release.

Comment 3 Fedora End Of Life 2013-04-03 17:41:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 Petr Šabata 2014-11-06 14:46:08 UTC
Upstream commit c4069558 should fix this issue.

I have no idea whether Steve will ever release a new version but I'll push the fix to Fedora...

Comment 5 Fedora Update System 2014-11-06 15:04:02 UTC
cpanspec-1.78-18.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cpanspec-1.78-18.fc21

Comment 6 Fedora Update System 2014-11-06 15:04:18 UTC
cpanspec-1.78-18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cpanspec-1.78-18.fc20

Comment 7 Fedora Update System 2014-11-06 15:04:32 UTC
cpanspec-1.78-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cpanspec-1.78-18.fc19

Comment 8 Fedora Update System 2014-11-12 02:44:26 UTC
cpanspec-1.78-18.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-11-19 15:58:57 UTC
cpanspec-1.78-18.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-11-19 16:00:03 UTC
cpanspec-1.78-18.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora End Of Life 2015-01-09 22:29:26 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.